# osglight.cpp File Reference

`#include <osgProducer/Viewer>`
`#include <osg/Group>`
`#include <osg/Node>`
`#include <osg/Light>`
`#include <osg/LightSource>`
`#include <osg/StateAttribute>`
`#include <osg/Geometry>`
`#include <osg/Point>`
`#include <osg/MatrixTransform>`
`#include <osg/PositionAttitudeTransform>`
`#include <osgDB/Registry>`
`#include <osgDB/ReadFile>`
`#include <osgUtil/Optimizer>`
`#include <osgUtil/SmoothingVisitor>`
`#include "stdio.h"`

Include dependency graph for osglight.cpp:

## Functions

osg::Node * | createLights (osg::BoundingBox &bb, osg::StateSet *rootStateSet)
osg::Geometry * | createWall (const osg::Vec3 &v1, const osg::Vec3 &v2, const osg::Vec3 &v3, osg::StateSet *stateset)
osg::Node * | createRoom (osg::Node *loadedModel)
int | main (int argc, char **argv)

## Function Documentation

osg::Node* createLights | ( | osg::BoundingBox & | bb,
|  | osg::StateSet * | rootStateSet
| ) |

osg::Node* createRoom | ( | osg::Node * | loadedModel | ) |

osg::Geometry* createWall | ( | const osg::Vec3 & | v1,
|  | const osg::Vec3 & | v2,
|  | const osg::Vec3 & | v3,
|  | osg::StateSet * | stateset
| ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |